create table CustomerGroup (
	id bigint(20) auto_increment primary key,
	name varchar(255) not null unique,
	priceGroup int(2),
	themeId bigint(20) references Theme.id
);

create table Customer (
	id bigint(20) primary key references AnswerCollection.id,
	averageProducts double not null,
	averageSum double not null,
	contactPersonId bigint(20) references Users.ID,
	created datetime not null,
	customerNumber varchar(40) not null unique,
	lastVisit datetime,
	login varchar(100) binary unique,
	password varchar(100),
	primaryGroupId bigint(20) references CustomerGroup.id,
	timesVisited int(11) not null,
	totalSum double not null,
	customerModified datetime,
	adminModified datetime,
	adminId bigint(20) references Users.ID,
	key (primaryGroupId)
);

create table CustomerCustomerGroup (
	customerId bigint(20) not null references Customer.id,
	groupId bigint(20) not null references CustomerGroup.id,
	primary key (customerId, groupId)
);

create table CustomerComment (
	id bigint(20) auto_increment primary key,
	customerComment text not null,
	created date not null,
	creatorId bigint(20) not null references Users.ID,
	customerId bigint(20) not null references Customer.id,
	key (creatorId),
	key (customerId)
);
